net.dontdrinkandroot.lastfm.api.model

## Class Station

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Station

All Implemented Interfaces:
  Serializable

    public class Station
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Station(Element root)` Create a Station from a dom4j Element.

### Method Summary

Methods
`static URI` `getGlobalTagStationUri(String tagName)` Create the URI needed to play a Tags global radio.
`static URI` `getGroupStationUri(String groupName)` Create the URI needed to play a Groups members radio.
`static URI` `getLibraryStationUri(String userName)` Create the URI needed to play a Users library radio.
`static URI` `getLovedTracksStationUri(String userName)` Create the URI needed to play a Users loved tracks radio.
`static URI` `getMixRadioStationUri(String username)` Create the Station URI needed to play a users mix radio.
`static URI` `getMultiArtistStationUri(Set<Long> artistIds)`
`static URI` `getMultiTagStationUri(Set<String> tagNames)`
`String` `getName()`
`static URI` `getNeighboursStationUri(String userName)` Create the URI needed to play a Users neighbour radio.
`static URI` `getRecommendationStationUri(String userName)` Create a URI needed to play a Users recommended radio.
`static URI` `getSimilarArtistsStationUri(String artistName)` Create the Station URI needed to play an Artists similar artists radio.
`Boolean` `getSupportsDiscovery()`
`static URI` `getTopFansStationUri(String artistName)` Create the URI needed to play an Artists top fans radio.
`String` `getType()`
`URL` `getUrl()`
`static URI` `getUserTagStation(String userName, String tagName)` Create the URI needed to play a Users tag radio.
`void` `setName(String name)`
`void` `setSupportsDiscovery(Boolean supportsDiscovery)`
`void` `setType(String type)`
`void` `setUrl(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Station

    public Station(Element root)

Create a Station from a dom4j Element.

Parameters:
  `root` - The element to create the Station from.

### Method Detail

#### getType

    public final String getType()

#### setType

    public final void setType(String type)

#### getName

    public final String getName()

#### setName

    public final void setName(String name)

#### getUrl

    public final URL getUrl()

#### setUrl

    public final void setUrl(URL url)

#### getSupportsDiscovery

    public final Boolean getSupportsDiscovery()

#### setSupportsDiscovery

    public final void setSupportsDiscovery(Boolean supportsDiscovery)

#### getSimilarArtistsStationUri

    public static URI getSimilarArtistsStationUri(String artistName)

Create the Station URI needed to play an Artists similar artists radio.

#### getMixRadioStationUri

    public static URI getMixRadioStationUri(String username)

Create the Station URI needed to play a users mix radio.

#### getTopFansStationUri

    public static URI getTopFansStationUri(String artistName)

Create the URI needed to play an Artists top fans radio.

Parameters:
  `artistName` -
Returns:

#### getLibraryStationUri

    public static URI getLibraryStationUri(String userName)

Create the URI needed to play a Users library radio.

Parameters:
  `userName` -
Returns:

#### getNeighboursStationUri

    public static URI getNeighboursStationUri(String userName)

Create the URI needed to play a Users neighbour radio.

Parameters:
  `userName` -
Returns:

#### getLovedTracksStationUri

    public static URI getLovedTracksStationUri(String userName)

Create the URI needed to play a Users loved tracks radio.

Parameters:
  `userName` -
Returns:

#### getRecommendationStationUri

    public static URI getRecommendationStationUri(String userName)

Create a URI needed to play a Users recommended radio.

Parameters:
  `userName` -
Returns:

#### getGroupStationUri

    public static URI getGroupStationUri(String groupName)

Create the URI needed to play a Groups members radio.

Parameters:
  `groupName` -
Returns:

#### getGlobalTagStationUri

    public static URI getGlobalTagStationUri(String tagName)

Create the URI needed to play a Tags global radio.

Parameters:
  `tagName` -
Returns:

#### getUserTagStation

    public static URI getUserTagStation(String userName,
                        String tagName)

Create the URI needed to play a Users tag radio.

Parameters:
  `userName` -
  `tagName` -
Returns:

#### getMultiTagStationUri

    public static URI getMultiTagStationUri(Set<String> tagNames)

#### getMultiArtistStationUri

    public static URI getMultiArtistStationUri(Set<Long> artistIds)